=== debian/changelog ===
shiboken (0.2.0-1maemo1) unstable; urgency=low

  * Maemo 5 build.

 -- Willer Moreira <willer.moreira@openbossa.org>  Fri, 26 Mar 2010 12:31:26 -0400

shiboken (0.2.0-1pyside0~ppa1) karmic; urgency=low

  * Reuse Debian packaging for Ubuntu (PPA) and Maemo builds.
  * debian/source/format: downgrade to 1.0 format for karmic.
  * Remove dpkg-dev and libsparsehash-dev build dependencies.
  * Remove debian/libshiboken0.symbols (requires newer dpkg-dev)

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Fri, 26 Mar 2010 09:31:26 -0400

shiboken (0.2.0-1) experimental; urgency=low

  * Initial upload (Closes: #569173).

  * Add symbols for libshiboken0 using (c++) filter.
  * Build for multiple python versions.
  * Update Build-Depends
  * Enable the build-tests
  * Add debian/watch file.
  * Add help2man manpage for shiboken
  * Patches
    + use_original_sparsehash.patch:  Don't use embedded sparsehash.
    + fix_tests.patch:                Work for different python versions.
    + use_soname_from_version.patch:  Force a SONAME (MAJOR_version) to
                                      libshiboken

 -- Didier Raboud <didier@raboud.com>  Fri, 26 Mar 2010 12:56:52 +0000
