## shiboken 0.3.1-0maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 add_definitions(${QT_DEFINITIONS})
 
 option(AVOID_PROTECTED_HACK "Avoid protected hack on generated bindings." FALSE)
+option(BUILD_TESTS "Build tests." TRUE)
 
 if (NOT CMAKE_BUILD_TYPE)
     message("No build type provided. Setting to Debug by default")
@@ -36,8 +37,8 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)
 
 set(shiboken_MAJOR_VERSION "0")
-set(shiboken_MINOR_VERSION "2")
-set(shiboken_MICRO_VERSION "0")
+set(shiboken_MINOR_VERSION "3")
+set(shiboken_MICRO_VERSION "1")
 set(shiboken_VERSION "${shiboken_MAJOR_VERSION}.${shiboken_MINOR_VERSION}.${shiboken_MICRO_VERSION}")
 
 set(shiboken_SRC
@@ -71,16 +72,21 @@
 add_custom_target(uninstall "${CMAKE_COMMAND}"
                   -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-enable_testing()
+if (BUILD_TESTS)
+    enable_testing()
+endif()
 
 add_subdirectory(libshiboken)
-add_subdirectory(tests)
+
+if (BUILD_TESTS)
+    add_subdirectory(tests)
+endif()
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${shiboken_VERSION})
 add_custom_target(dist
     COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
             git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
-            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar -o "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
+            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
             tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
             bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
             echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
