=== debian/changelog ===
shiboken (0.3.1-0maemo1) unstable; urgency=low

  * Maemo 5 build.

 -- Willer Moreira <willer.moreira@openbossa.org>  Tue, 04 May 2010 16:56:36 -0400

shiboken (0.3.1-0) unstable; urgency=low

  * Bump to 0.3.1 based on maemo 0.2.0 packaging.

 -- Lauro Neto <lauro.neto@openbossa.org>  Tue, 04 May 2010 11:56:36 -0300
