=== libshiboken/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(libshiboken_MINOR_VERSION ${shiboken_MINOR_VERSION})
 set(libshiboken_MICRO_VERSION ${shiboken_MICRO_VERSION})
 set(libshiboken_VERSION "${libshiboken_MAJOR_VERSION}.${libshiboken_MINOR_VERSION}.${libshiboken_MICRO_VERSION}")
+set(libshiboken_SOVERSION "${libshiboken_MAJOR_VERSION}.${libshiboken_MINOR_VERSION}")
 
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ShibokenConfig.cmake.in"
@@ -30,12 +31,23 @@
 set_property(TARGET libshiboken PROPERTY PREFIX "")
 target_link_libraries(libshiboken
                       ${PYTHON_LIBRARIES})
-set_target_properties(libshiboken PROPERTIES VERSION ${libshiboken_VERSION} SOVERSION ${libshiboken_MAJOR_VERSION})
+set_target_properties(libshiboken PROPERTIES VERSION ${libshiboken_VERSION} SOVERSION ${libshiboken_SOVERSION})
 
-install(DIRECTORY . DESTINATION include/shiboken
-        FILES_MATCHING PATTERN "*.h"
-        PATTERN ".git" EXCLUDE
-        )
+install(FILES
+        autodecref.h
+        basewrapper.h
+        bindingmanager.h
+        conversions.h
+        gilstate.h
+        helper.h
+        pyenum.h
+        python25compat.h
+        sbkdbg.h
+        shiboken.h
+        shibokenmacros.h
+        threadstatesaver.h
+        typeresolver.h
+        DESTINATION include/shiboken)
 install(TARGETS libshiboken DESTINATION "${LIB_INSTALL_DIR}")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ShibokenConfig.cmake"
         DESTINATION "${LIB_INSTALL_DIR}/cmake/Shiboken-${libshiboken_VERSION}")
