=== debian/changelog ===
shiboken (0.3.2-1maemo1) unstable; urgency=low

  * New release

 -- Luciano Miguel Wolf <luciano.wolf@openbossa.org>  Fri, 04 Jun 2010 14:17:35 -0300
