=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PySide Team <pyside@openbossa.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper7 (>= 7.3.12), cmake (>= 2.6.0),
-	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.5.1), generatorrunner (>= 0.4.2), libgenrunner-dev (>= 0.4.2),
+	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.6.0), generatorrunner (>= 0.5.0), libgenrunner-dev (>= 0.5.0),
 	python-all-dev, python-all-dbg
 XS-Python-Version: >= 2.5
 Standards-Version: 3.8.4
@@ -26,8 +26,8 @@
 Package: libshiboken0.3
 Section: libs
 Architecture: any
-Conflicts: libshiboken0 (<< 0.3.0)
-Replaces: libshiboken0 (<< 0.3.0)
+Conflicts: libshiboken0 (<< 0.3)
+Replaces: libshiboken0 (<< 0.3)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CPython bindings generator for C++ libraries - shared library
  Shiboken is a bindings generator for C++ libraries that outputs CPython
