=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
 	-DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
 	-DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
+	-DBUILD_TESTS=FALSE \
 	-DCMAKE_DEBUG_POSTFIX=$(shell echo -py$*_d | sed -e 's/\.//g' -)
 
 override_dh_auto_configure-%:
@@ -33,6 +34,7 @@
 	-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
 	-DCMAKE_PYTHON_VERSION=$* \
 	-DCMAKE_PYTHONLIB_VERSION=$* \
+	-DBUILD_TESTS=FALSE \
 	-DCMAKE_RELEASE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)
 
 #### BUILD ####
