## shiboken 0.4.0-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,14 @@
 
 cmake_minimum_required(VERSION 2.6)
 
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/
+                      ${CMAKE_MODULE_PATH})
+
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor REQUIRED)
-find_package(GeneratorRunner REQUIRED)
+find_package(ApiExtractor 0.7 REQUIRED)
+find_package(GeneratorRunner 0.6 REQUIRED)
+find_package(PythonLibs REQUIRED)
+find_package(PythonInterpWithDebug REQUIRED)
 
 add_definitions(${QT_DEFINITIONS})
 
@@ -38,8 +43,8 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)
 
 set(shiboken_MAJOR_VERSION "0")
-set(shiboken_MINOR_VERSION "3")
-set(shiboken_MICRO_VERSION "2")
+set(shiboken_MINOR_VERSION "4")
+set(shiboken_MICRO_VERSION "0")
 set(shiboken_VERSION "${shiboken_MAJOR_VERSION}.${shiboken_MINOR_VERSION}.${shiboken_MICRO_VERSION}")
 
 set(shiboken_SRC
@@ -57,6 +62,7 @@
                     ${QT_QTCORE_INCLUDE_DIR})
 
 add_library(shiboken_generator SHARED ${shiboken_SRC})
+set_property(TARGET shiboken_generator PROPERTY PREFIX "")
 
 target_link_libraries(shiboken_generator
                       ${APIEXTRACTOR_LIBRARY}
@@ -72,6 +78,27 @@
                IMMEDIATE @ONLY)
 add_custom_target(uninstall "${CMAKE_COMMAND}"
                   -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+
+# Detect if the python libs were compiled in debug mode
+execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
+        print sysconfig.get_config_var('Py_DEBUG')"
+    OUTPUT_VARIABLE PY_DEBUG
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+    if(NOT PYTHON_DEBUG_LIBRARIES)
+        message(FATAL_ERROR "Python debug library not found. Try compile shiboken with -DCMAKE_BUILD_TYPE=Release")
+    endif()
+    if(NOT PY_DEBUG)
+        message(WARNING "Compiling shiboken with debug enabled, but the python executable was not compiled with debug support.")
+    endif()
+    add_definitions("-DPy_DEBUG")
+    set(SBK_PYTHON_LIBRARIES ${PYTHON_DEBUG_LIBRARIES})
+else()
+    set(SBK_PYTHON_LIBRARIES ${PYTHON_LIBRARIES})
+    add_definitions("-DNDEBUG")
+endif()
 
 if (BUILD_TESTS)
     enable_testing()
