=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,20 @@
 set(test_blacklist "")
 
 find_package(PythonInterp REQUIRED)
+if(NOT CTEST_TESTING_TIMEOUT)
+    set(CTEST_TESTING_TIMEOUT 60)
+endif()
 
 foreach(test_file ${TEST_FILES})
     string(REGEX MATCH "/([^/]+)_test.py" test_name ${test_file})
     list(FIND test_blacklist ${CMAKE_MATCH_1} expect_fail)
     add_test("${CMAKE_MATCH_1}" sh
              "${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh"
-             "${libsample_BINARY_DIR}:${libshiboken_BINARY_DIR}"
+             "${libsample_BINARY_DIR}:${libother_BINARY_DIR}:${libshiboken_BINARY_DIR}"
              "${sample_BINARY_DIR}:${other_BINARY_DIR}"
              "${PYTHON_EXECUTABLE}"
              "${test_file}")
-    set_tests_properties(${CMAKE_MATCH_1} PROPERTIES TIMEOUT 5)
+    set_tests_properties(${CMAKE_MATCH_1} PROPERTIES TIMEOUT ${CTEST_TESTING_TIMEOUT})
     if (${expect_fail} GREATER -1)
         set_tests_properties(${CMAKE_MATCH_1} PROPERTIES WILL_FAIL TRUE)
     endif(${expect_fail} GREATER -1)
