=== tests/samplebinding/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 find_program(GENERATOR generatorrunner REQUIRED)
 
 add_custom_command(OUTPUT ${sample_SRC}
-COMMAND ${GENERATOR} --generatorSet=${shiboken_BINARY_DIR}/shiboken_generator --enable-parent-ctor-heuristic
+COMMAND ${GENERATOR} --generatorSet=${shiboken_BINARY_DIR}/shiboken_generator${CMAKE_RELEASE_POSTFIX}${CMAKE_DEBUG_POSTFIX} --enable-parent-ctor-heuristic
         ${CMAKE_CURRENT_SOURCE_DIR}/global.h
         --include-paths=${libsample_SOURCE_DIR}
         --typesystem-paths=${CMAKE_CURRENT_SOURCE_DIR}
@@ -95,7 +95,7 @@
 set_property(TARGET sample PROPERTY PREFIX "")
 target_link_libraries(sample
                       libsample
-                      ${PYTHON_LIBRARIES}
+                      ${SBK_PYTHON_LIBRARIES}
                       libshiboken)
 
 add_dependencies(sample shiboken_generator)
