=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PySide Team <pyside@openbossa.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper7 (>= 7.3.12), cmake (>= 2.6.0),
-	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.6.0), generatorrunner (>= 0.5.0), libgenrunner-dev (>= 0.5.0),
+	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.7.0), generatorrunner (>= 0.6.0), libgenrunner-dev (>= 0.6.0),
 	python-all-dev, python-all-dbg
 XS-Python-Version: >= 2.5
 Standards-Version: 3.8.4
@@ -23,11 +23,11 @@
  .
  Shiboken is the binding generator used to create the PySide bindings.
 
-Package: libshiboken0.3
+Package: libshiboken0.4
 Section: libs
 Architecture: any
-Conflicts: libshiboken0 (<< 0.3)
-Replaces: libshiboken0 (<< 0.3)
+Conflicts: libshiboken0 (<< 0.4)
+Replaces: libshiboken0 (<< 0.4)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CPython bindings generator for C++ libraries - shared library
  Shiboken is a bindings generator for C++ libraries that outputs CPython
@@ -40,7 +40,7 @@
 Package: libshiboken-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libshiboken0.3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libshiboken0.4 (= ${binary:Version})
 Description: development files for the shiboken bindings generator library
  Shiboken is a bindings generator for C++ libraries that outputs CPython
  source code. It uses generatorrunner and apiextractor to collect information
@@ -53,7 +53,7 @@
 Section: debug
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libshiboken0.3 (= ${binary:Version}),
+         libshiboken0.4 (= ${binary:Version}),
          shiboken (= ${binary:Version})
 Description: debugging symbols for shiboken and its library
  Shiboken is a bindings generator for C++ libraries that outputs CPython
